<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

/*
  -------------------- Name conventions --------------------
  Function names (except methods):

  ff_DescriptionOfFunction


  Constant names:

  cc_DescriptionOfConstant


  Variable names:

  $ST_DescriptionOfVariable

  where S is a scope, T is a type.

  The following scopes should be used:
  g - global
  s - static
  l - local
  m - member of class
  p - parameter

  The following types should be used:
  s - scalar
  a - array
  r - resource
  o - object
  m - mixed

  -------------------- end Name conventions --------------------
*/





include_once( dirname( __FILE__ ) . "/class.SQLType.php" );





class SQLString extends SQLType
{

	/* -------------------- Members -------------------- */
	/* -------------------- end Members -------------------- */





	/* -------------------- Constructor -------------------- */
	function SQLString( $ps_Value )	{
		$this->SQLType( $ps_Value );
	}
	/* -------------------- end Constructor -------------------- */





	/* -------------------- definitions of "abstract" methods -------------------- */
	function Validate()
	{
		return TRUE;
	}

	function SQL()
	{
		return "'" . addslashes($this->GetValue()) . "'";
	}
	/* -------------------- end definitions "abstract" methods -------------------- */

	function &getClone(){
		return new SQLString( $this );
	}
}
?>
